/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { getHeaders } from '@managed-api/commons-core';
export function constructHeaders(body, manualHeaders) {
    const headers = getHeaders(body, manualHeaders);
    headers.append('X-Atlassian-Token', 'no-check');
    return headers;
}
export async function errorMessageBuilder(response, reason) {
    try {
        const error = await response.json();
        const errorMessage = error === null || error === void 0 ? void 0 : error.message;
        if (errorMessage) {
            return `${reason} - ${errorMessage}`;
        }
    }
    catch { }
    return reason;
}
