/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentBody } from './ContentBody';
import { ContentRestriction } from './ContentRestriction';
import { History } from './History';
import { Operation } from './Operation';
import { Space } from './Space';
import { Version } from './Version';
export interface Content {
    id?: string;
    type?: string;
    status?: string;
    title?: string;
    space?: Space;
    history?: History;
    version?: Version;
    ancestors?: Content[];
    operations?: Operation[];
    children?: Record<string, Content[]>;
    descendants?: Record<string, Content[]>;
    container?: Content;
    body?: Record<string, ContentBody>;
    metadata?: Record<string, any>;
    extensions?: Record<string, any>;
    restrictions?: Record<string, ContentRestriction>;
    _links?: {
        webui?: string;
        collection?: string;
        base?: string;
        context?: string;
        self?: string;
        tinyui?: string;
        edit?: string;
    };
    _expandable: {
        container: string;
        metadata: string;
        operations: string;
        children: string;
        restrictions: string;
        ancestors: string;
        body: string;
        descendants: string;
    };
}
export interface ContentCreateRequest {
    type: string;
    title: string;
    space: {
        key: string;
    };
    body?: Record<string, ContentBody>;
    ancestors?: {
        id: number;
    }[];
}
export interface ContentUpdateRequest {
    type?: string;
    version: {
        number: number;
    };
    title?: string;
    body?: Record<string, ContentBody>;
    ancestors?: {
        id: number;
    }[];
    space?: {
        key: string;
    };
}
//# sourceMappingURL=Content.d.ts.map