/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HttpError, BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor } from '@managed-api/commons-core';
import { ErrorStrategyBuilder } from './builders/errorStrategy';
export interface CommonError {
    statusCode?: number;
    data?: {
        authorized?: boolean;
        valid?: boolean;
        allowedInReadOnlyMode?: boolean;
        errors?: any;
        successful?: boolean;
    };
    message?: string;
    reason?: string;
}
export declare type AdditionalErrorTypes = HttpError<CommonError>;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map