/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Content } from '../../definitions/Content';
import { ErrorStrategyOption, CommonError } from '../../errorStrategy';
export interface GetAttachmentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Content ID.
     */
    id: string;
    /**
     * a comma separated list of properties to expand on the Attachments returned. Optional.
     */
    expand?: string;
    /**
     * the index of the first item within the result set that should be returned. Optional.
     */
    start?: number;
    /**
     * how many items should be returned after the start index. Optional.
     */
    limit?: number;
    /**
     * (optional) filter parameter to return only the Attachment with the matching file name. Optional.
     */
    filename?: string;
    /**
     * (optional) filter parameter to return only Attachments with a matching Media-Type. Optional.
     */
    mediaType?: string;
}
export interface GetAttachmentsResponseOK {
    start?: number;
    limit?: number;
    size?: number;
    results?: Content[];
}
export interface GetAttachmentsResponseError extends CommonError {
}
//# sourceMappingURL=attachment.d.ts.map