/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { Label } from '../../definitions/Label';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface GetLabelsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Content ID.
     */
    id: string;
    prefix?: 'global' | 'my' | 'system' | 'team';
    start?: number;
    /**
     * the limit of the number of labels to return, this may be restricted by fixed system limits
     */
    limit?: number;
}
export interface GetLabelsResponseOK {
    start?: number;
    limit?: number;
    size?: number;
    results?: Label[];
}
export interface GetLabelsResponseError extends CommonError {
}
export interface AddLabelsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Content ID.
     */
    id: string;
    body: {
        name: string;
        prefix?: 'global' | 'my' | 'team';
    }[];
}
export interface AddLabelsResponseOK {
    start?: number;
    limit?: number;
    size?: number;
    results?: Label[];
}
export interface AddLabelsResponseError extends CommonError {
}
export interface DeleteLabelRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Content ID.
     */
    id: string;
    /**
     * Label name.
     */
    label: string;
}
export declare type DeleteLabelResponseOK = undefined;
export interface DeleteLabelResponseError extends CommonError {
}
//# sourceMappingURL=label.d.ts.map