/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { ContentWatch } from '../../definitions/ContentWatch';
import { CommonError, ErrorStrategyOption } from '../../errorStrategy';
export interface AddWatcherRequest extends HeadersOption, ErrorStrategyOption {
    contentId: string;
    /**
     * userkey of the user to create the new watcher for
     */
    key?: string;
    /**
     * username of the user to create the new watcher for
     */
    username?: string;
}
export interface AddWatcherResponseOK extends ContentWatch {
}
export interface AddWatcherResponseError extends CommonError {
}
export interface RemoveWatcherRequest extends HeadersOption, ErrorStrategyOption {
    contentId: string;
    /**
     * userkey of the user to delete the watcher for
     */
    key?: string;
    /**
     * username of the user to delete the watcher for
     */
    username?: string;
}
export declare type RemoveWatcherResponseOK = undefined;
export interface RemoveWatcherResponseError extends CommonError {
}
//# sourceMappingURL=watcher.d.ts.map