/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { User } from '../definitions/User';
import { CommonError, ErrorStrategyOption } from '../errorStrategy';
export interface GetUserRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * userkey of the user to request from this resource
     */
    key?: string;
    /**
     * username of the user to request from this resource
     */
    username?: string;
    /**
     * properties to expand on the user
     */
    expand?: string;
}
export interface GetUserResponseOK extends User {
}
export interface GetUserResponseError extends CommonError {
}
//# sourceMappingURL=user.d.ts.map